//+------------------------------------------------------------------+
//|                                                        EA_02.mq4 |
//|                        Copyright 2014, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright 2014, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"
//+------------------------------------------------------------------+
//| External Parameters |
//+------------------------------------------------------------------+

//--- EA input parameters
extern int    MagicNumber = 2223142;
extern double Lot = 0.1;
extern int    TakeProfit = 10;
extern int    StopLoss = 500;
extern int    MaxTrades = 10;
extern int    MaxOrders = 2 ;
extern bool   FlagBuy=false;
extern bool   FlagSell=false;

//+------------------------------------------------------------------+
//| Global Variable |
//+------------------------------------------------------------------+
int OpenedOrder; // 1=Buy , 2=Sell
double MyPoint;
int NbBars;
double Lot_Buy=0.1;
double Lot_Sell=0.1;
double Buy_Price=0;
double Sell_Price=1000000;
bool DisableEA=False;
double TicketNum;
int i=0;
int j=0;
int k=0;
int DrawDown=0;

//+------------------------------------------------------------------+

//+------------------------------------------------------------------+
//| expert initialization function |
//+------------------------------------------------------------------+
int init()
{
//----
OpenedOrder=FALSE;
NbBars=0;
if (Digits == 5 || Digits == 3) MyPoint = Point*10;
else MyPoint= Point;
//----
return(0);
}
//+------------------------------------------------------------------+
//| expert deinitialization function |
//+------------------------------------------------------------------+
int deinit()
{
//----
//----
return(0);
}

//+------------------------------------------------------------------+
//| expert start function |
//+------------------------------------------------------------------+
int start()
{
if (DisableEA) return(0);
//----
int Count;
int val0;
int val1;
int val2;
int val3;
int val4;

double Price  = Bid ; 
static int Time_waiting=0;


Count ++;                             // Tick counter

//Logique

//Lot_Buy = Lot;
//Lot_Sell = Lot;

if (isNewBar()){
       

// ...

         if ((!FlagSell) && (OpenedOrder!=2) && (TotalOrder(MagicNumber) < MaxOrders)) {OpenSell(); FlagSell=true;  FlagBuy=false;}                 
         if ((!FlagBuy) && (OpenedOrder!=1) && (TotalOrder(MagicNumber) < MaxOrders)) {OpenBuy(); FlagBuy=true; FlagSell=false; }
           
         if (OrderProfit() < DrawDown) DrawDown=OrderProfit();
                  

//         Comment ("\nDrawUp= ", DrawUp);
         Comment ("\nDrawDown= ", DrawDown);


//----return(0);
}
}
//+------------------------------------------------------------------+
//| expert Open Buy order function |
//+------------------------------------------------------------------+
void OpenBuy() {
if (!IsTradeContextBusy() && IsTradeAllowed())
{
RefreshRates();
TicketNum=OrderSend(Symbol(),OP_BUY,Lot_Buy,Ask,3,Bid-
StopLoss*MyPoint,Ask+TakeProfit*MyPoint,"MACross",MagicNumber,0,Green);
Alert( "Error=", GetLastError());
OpenedOrder=1;
Buy_Price=Ask;
}
}
//+------------------------------------------------------------------+
//| expert Open Sell order function |
//+------------------------------------------------------------------+
void OpenSell() {
if (!IsTradeContextBusy() && IsTradeAllowed())
{
RefreshRates();
TicketNum=OrderSend(Symbol(),OP_SELL,Lot_Sell,Bid,3,Ask+StopLoss*MyPoint,Bid-
TakeProfit*MyPoint,"MACross",MagicNumber,0,Green);
Alert( "Error=", GetLastError());
OpenedOrder=2;
Sell_Price=Bid;
}
}
//+------------------------------------------------------------------+
//| Check New Bar function                                           |
//+------------------------------------------------------------------+
bool isNewBar() {
if (NbBars < Bars) {
NbBars = Bars;
return (TRUE);
}
return (FALSE);
}
//+------------------------------------------------------------------+
//+------------------------------------------------------------------+
//| Function of Total Orders for the Magic Number                    |
//+------------------------------------------------------------------+
double TotalOrder(int magic)
{
double GetTotalOrder = 0;
for(int cnt = 0; cnt < OrdersTotal(); cnt++)
{
OrderSelect(cnt, SELECT_BY_POS, MODE_TRADES);
if(OrderMagicNumber() == magic)
{
GetTotalOrder ++;
//GetTotalOrder += (OrdersTotal());
}
}
return(GetTotalOrder);
}

